Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

AngleDimension Class

The AngleDimension class defines an angle dimension between two lines. The dimension can be shown by a triangle or in degrees. You can also enter the triangle base length.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public sealed class AngleDimension : DimensionBase

The AngleDimension type exposes the following members.

Constructors
  Name Description
Public method AngleDimension(ViewBase, Point, Point, Point, Double)
Creates a new angle dimension instance using three points.
Public method AngleDimension(ViewBase, Point, Vector, Vector, Double)
Creates a new angle dimension instance using the origin and two vectors relative to the origin.
Public method AngleDimension(ViewBase, Point, Point, Point, Double, AngleDimensionAttributes)
Creates a new angle dimension instance using three points.
Public method AngleDimension(ViewBase, Point, Vector, Vector, Double, AngleDimensionAttributes)
Creates a new angle dimension instance using the origin and two vectors relative to the origin.
Top
Properties
  Name Description
Public property Attributes
Gets or sets the angle dimension attributes.
Public property Distance
Gets or sets the distance (from the origin to the second point's direction). The distance is measured in paper millimeters.
Public property Hideable
Accesses the information if this object is hidden or not or if it should be.
(Inherited from DimensionBase.)
Public property Origin
Gets or sets the origin of the dimension.
Public property Point1
Gets or sets the first point.
Public property Point2
Gets or sets the second point.
Public property QueryReturnValue
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.)
Top
Methods
  Name Description
Public method Delete
Deletes the dimension from the database.
(Overrides DatabaseObjectDelete.)
Public method GetAngle
Gets the angle value (in degrees).
Public method GetDimensionSet
The angle dimension doesn't have a dimension set.
(Overrides DimensionBaseGetDimensionSet.)
Public method GetDimensionSet(Boolean)
The angle dimension doesn't have a dimension set.
(Overrides DimensionBaseGetDimensionSet(Boolean).)
Public method GetDoubleUserProperties(DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetDoubleUserProperties(ListString, DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetDrawing
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.)
Public method GetIntegerUserProperties(DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetIntegerUserProperties(ListString, DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetRelatedObjects
Gets the related objects of the current object.
(Inherited from DrawingObject.)
Public method GetRelatedObjects(Type)
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.)
Public method GetStringUserProperties(DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetStringUserProperties(ListString, DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public method GetUserProperty(String, Double)
Gets a double property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method GetUserProperty(String, Int32)
Gets an integer property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method GetUserProperty(String, String)
Gets a string property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method GetView
Gets the view where the drawing object is.
(Inherited from DrawingObject.)
Public method Insert
Inserts the dimension into the database.
(Overrides DatabaseObjectInsert.)
Public method IsEqual
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).)
Public method IsSameDatabaseObject
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.)
Public method Modify
Modifies the existing dimension in the database.
(Overrides DatabaseObjectModify.)
Public method Select
Selects the angle dimension from the database.
(Overrides DatabaseObjectSelect.)
Public method SetUserProperty(String, Double)
Sets a double property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method SetUserProperty(String, Int32)
Sets an integer property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method SetUserProperty(String, String)
Sets a string property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public method ToString
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.)
Top
Examples
The following code inserts an angle dimension:
using Tekla.Structures.Drawing;
using Tekla.Structures.Geometry3d;

public class Example
{
       public void Example1()
       {
           DrawingHandler MyDrawingHandler = new DrawingHandler();
           ViewBase _view = MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews().Current as ViewBase;

           Point origin = new Point(2000, 2000);
           Point point1 = new Point(3000, 5000);
           Point point2 = new Point(6000, 2000);
           AngleDimension myAngle = new AngleDimension(_view, origin, point1, point2, 200);
           myAngle.Insert();
       }
}
See Also